## gtk+3.0 3.24.14

=== debian/changelog ===
gtk+3.0 (3.24.14-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in and debian/tests/control (installed-tests):
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
    + debian/rules:
      - stop using --disable-mir-backend since that option has been
        deprecated as the same time than the mir backend
      - Skip some reftests which have been broken by pango1.0. See:
        https://gitlab.gnome.org/GNOME/pango/issues/438 - this change can
        be reverted once that bug is fixed.
  * Refresh Ubuntu-specific patches for the new release.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 08 Mar 2020 15:04:40 +0300

gtk+3.0 (3.24.14-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Update Wayland dependency version
  * d/patches: Apply upstream bug fixes from gtk-3-24 branch up to
    3.24.14-20-g4c027d458b
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support, based on a patch for clutter-1.0
    by Steve Langasek
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Remove trailing whitespace
  * d/tests/build: Show commands before they are executed
  * d/tests/build: Fail if using an undefined variable ("unofficial strict
    mode")
  * d/upstream/metadata: Add upstream URLs
  * Standards-Version: 4.5.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Feb 2020 20:34:56 +0000

gtk+3.0 (3.24.13-1ubuntu1) focal; urgency=medium

  * Merge with Debian. Remaining changes:
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in and debian/tests/control (installed-tests):
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
   * debian/rules:
     - stop using --disable-mir-backend since that option has been
       deprecated as the same time than the mir backend
  * rules: Skip some reftests which have been broken by pango1.0. These
    reftests are already broken in Ubuntu since we updated to pango1.0 1.44.
    See: https://gitlab.gnome.org/GNOME/pango/issues/438 - this change can be
    reverted once that bug is fixed.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 10 Dec 2019 09:30:22 +0000
