=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libepoxy-dev (>= 1.4),
                libfontconfig1-dev,
                libfribidi-dev (>= 0.19.7),
-               libgdk-pixbuf2.0-dev (>= 2.30.0),
+               libgdk-pixbuf2.0-dev (>= 2.40.0),
                libgirepository1.0-dev (>= 1.39.0),
                libglib2.0-dev (>= 2.57.2),
                libharfbuzz-dev (>= 0.9),
@@ -58,10 +58,10 @@
                      xsltproc
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+3.0
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+3.0
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/master
 Homepage: https://www.gtk.org/
 
 Package: libgtk-3-0
@@ -150,7 +150,7 @@
          libepoxy-dev (>= 1.0),
          libfontconfig1-dev,
          libfribidi-dev (>= 0.19.7),
-         libgdk-pixbuf2.0-dev (>= 2.30.0),
+         libgdk-pixbuf2.0-dev (>= 2.40.0),
          libglib2.0-dev (>= 2.57.2),
          libpango1.0-dev (>= 1.41),
          libwayland-dev (>= 1.9.91) [linux-any],
