=== debian/control ===
--- 
+++ 
@@ -60,8 +60,8 @@
 Standards-Version: 4.5.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/focal
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/focal
 Homepage: https://www.gtk.org/
 
 Package: libgtk-3-0
