=== debian/rules ===
--- 
+++ 
@@ -192,13 +192,15 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Mark reftests with known failures as non-fatal
+	# (See also somehow_broken in testsuite/reftests/meson.build)
+	touch testsuite/reftests/button-wrapping.ui.known_fail
+	touch testsuite/reftests/cellrenderer-pixbuf-stock-rtl.ui.known_fail
+	touch testsuite/reftests/flipping-icons.ui.known_fail
+	touch testsuite/reftests/label-sizing.ui.known_fail
+	touch testsuite/reftests/label-wrap-justify.ui.known_fail
+	touch testsuite/reftests/quit-mnemonic.ui.known_fail
 	touch testsuite/reftests/symbolic-icon-translucent-color.ui.known_fail
-	# XXX: Ubuntu: These are broken by pango 1.44:
-	# https://gitlab.gnome.org/GNOME/pango/issues/438
-	# remove the below when this bug is fixed
-	touch testsuite/reftests/button-wrapping.ui.known_fail \
-	      testsuite/reftests/label-sizing.ui.known_fail \
-	      testsuite/reftests/quit-mnemonic.ui.known_fail
+	touch testsuite/reftests/window-height-for-width.ui.known_fail
 	# So that gsettings can find the (uninstalled) gtk schemas
 	mkdir -p debian/build/glib-2.0/schemas/
 	cp gtk/org.gtk.* debian/build/glib-2.0/schemas/
@@ -232,5 +234,3 @@
 
 override_dh_installdocs:
 	dh_installdocs -p$(COMMON_PKG) AUTHORS README NEWS
-	# We need to install AUTHORS in /u/s/d/l-doc, not -dev according to
-	# debhelper 11's defaults, otherwise it would have file conflicts
