## gtk+3.0 3.24.23

=== debian/changelog ===
gtk+3.0 (3.24.23-1ubuntu1) groovy; urgency=medium

  * Merge with Debian. Remaining changes:
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in and debian/tests/control (installed-tests):
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
  * Skip {box,text}-shadow-changes-modify-clip.ui reftests

 -- Iain Lane <iain.lane@canonical.com>  Fri, 11 Sep 2020 17:31:32 +0100

gtk+3.0 (3.24.23-1) unstable; urgency=medium

  * New upstream release
    + Adwaita:
     - Support error states for labels and entries
    + Printing:
     - Use the correct names for remote printers
    + File choser:
     - Default to tracker2 for search to prevent
       symbol clashes in tracker-using applications
    + Wayland:
     - Support newer schemas for settings
     - Fix DND hotspot handling
     - Disconnect on display close
    + X11:
     - Fix a possible crash with disabled devices

 -- Iain Lane <iain.lane@canonical.com>  Fri, 11 Sep 2020 13:34:50 +0100

gtk+3.0 (3.24.22-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Update symbols file
    - Drop patch for #964679, applied upstream
    - d/copyright: Update
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Aug 2020 12:09:01 +0100

gtk+3.0 (3.24.21-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fix ability to use BSD-3-clause, Apache 2.0 and MPL 2.0 in
      GtkAboutDialog (Closes: #960303)
  * Add patch to fix FTBFS with newer GLib versions (Closes: #964679)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Aug 2020 15:33:48 +0100

gtk+3.0 (3.24.20-1ubuntu2) groovy; urgency=medium

  [ Simon McVittie ]
  * d/p/build-Don-t-export-GResource-related-symbols-with-newer-G.patch:
    - fix symbols being incorrectly exported with the new glib

 -- Sebastien Bacher <seb128@debian.org>  Wed, 05 Aug 2020 14:55:30 +0200

gtk+3.0 (3.24.20-1ubuntu1) groovy; urgency=medium

  * Merge with Debian. Remaining changes:
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in and debian/tests/control (installed-tests):
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 08 May 2020 16:58:07 +0200

gtk+3.0 (3.24.20-1) unstable; urgency=medium

  * Upload to unstable

  [ Simon McVittie ]
  * New upstream release
  * Depend on librsvg2-common for tests.
    The unit tests expect that gdk-pixbuf can load SVG files. This is
    provided by librsvg2-common, which used to be pulled in by
    adwaita-icon-theme. (Closes: #959390)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 08 May 2020 16:32:53 +0200
