=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: adwaita-icon-theme-full <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
@@ -32,6 +32,7 @@
                libjson-glib-dev,
                libpango1.0-dev (>= 1.41.0),
                librest-dev,
+               librsvg2-common <!nocheck>,
                libwayland-dev (>= 1.14.91) [linux-any],
                libx11-dev,
                libxcomposite-dev,
@@ -60,8 +61,8 @@
 Standards-Version: 4.5.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/focal
-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/master
 Homepage: https://www.gtk.org/
 
 Package: libgtk-3-0
